# # global:
# #   # The smarthost and SMTP sender used for mail notifications.
# #   # smtp_smarthost: 'localhost:25'
# #   # smtp_from: 'alertmanager@example.org'
# #   # Whether or not to notify about resolved alerts.
# #   send_resolved: true
# #   # The email address to send notifications to.
# #   to: devops@got.co.th
# #   # The sender address.
# #   from: gotnotify@got.co.th
# #   # The SMTP host through which emails are sent.
# #   smarthost: smtp.office365.com
# #   # SMTP authentication information.
# #   auth_username: gotnotify@got.co.th
# #   auth_password: P@ssw0rd
# #   # The SMTP TLS requirement.
# #   # Note that Go does not support unencrypted connections to remote SMTP endpoints.
# #   require_tls: true
# #   # TLS configuration.
# #   tls_config: <tls_config> 
# #   # The HTML body of the email notification.
# #   html: <tmpl_string> | default = '{{ template "email.default.html" . }}' 
# #   # The text body of the email notification.
# #   text: <tmpl_string> 
# #   # Further headers email header key/value pairs. Overrides any headers
# #   # previously set by the notification implementation.
# #   headers: { <string>: <tmpl_string>, ... } 

# # route:
# #   receiver: "alerta"
# #   group_by: ['alertname']
# #   group_wait:      15s
# #   group_interval:  15s
# #   repeat_interval: 1m

# # receivers:
# # - name: "alerta"
# #   webhook_configs:
# #   - url: 'http://alerta:8080/api/webhooks/prometheus'
# #     send_resolved: true
# #     http_config:
# #       basic_auth: 
# #         username: admin@alerta.io
# #         password: alerta


# global:
#   resolve_timeout: 5m

# route:
#   group_by: ['alertname']
#   group_wait: 10s
#   group_interval: 10s
#   repeat_interval: 10s
#   receiver: 'email'
# receivers:
# - name: 'email'
#   email_configs:
#   - to: 'devops@got.co.th'
#     from: 'gotnotify@got.co.th'
#     smarthost: smtp.office365.com:587
#     auth_username: 'gotnotify@got.co.th'
#     auth_identity: 'gotnotify@got.co.th'
#     auth_password: 'P@ssw0rd'
# inhibit_rules:
#   - source_match:
#       severity: 'critical'
#     target_match:
#       severity: 'warning'
#     equal: ['alertname', 'dev', 'instance']

global:
  resolve_timeout: '1m'
  smtp_smarthost: 'smtp.office365.com:587'
  smtp_from: 'gotnotify@got.co.th'
  smtp_auth_username: 'gotnotify@got.co.th'
  smtp_auth_password: 'fnGh%LS*F9F9QH'
  smtp_require_tls: true
    


route:
  receiver: 'got'
    # group_by: ['service']
    # group_wait: 30s
    # group_interval: 5s
    # repeat_interval: 20s

receivers:
  - name: 'got'
    email_configs:
      - to: 'Jirapha.g@got.co.th'
        from: 'gotnotify@got.co.th'
        smarthost: 'smtp.office365.com:587'
        auth_username: 'gotnotify@got.co.th'
        auth_password: 'fnGh%LS*F9F9QH'
        send_resolved: true
      - to: 'Jiraphat120@hotmail.com'
        from: 'gotnotify@got.co.th'
        smarthost: 'smtp.office365.com:587'
        auth_username: 'gotnotify@got.co.th'
        auth_password: 'fnGh%LS*F9F9QH'
        send_resolved: true
      
